
import React from 'react';
import Icon from 'react-icon-base';

const SlSocialSpotify = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M417.534 649.254c154.872 -4.20703 274.084 -22.042 384.678 -78.1396c15.627 -8.01367 34.4609 -19.4336 40.6709 -33.8594c5.80957 -13.4238 2.40332 -41.4727 -7.41406 -48.4844c-13.8242 -10.0176 -41.6729 -14.8252 -56.0986 -7.41211 c-113.8 58.9043 -235.013 77.7373 -360.634 72.7285c-50.2881 -2.00391 -100.777 -11.4199 -150.265 -21.0371c-32.2568 -6.41113 -58.9043 -2.80469 -68.3203 30.4541c-10.2178 35.2617 14.8262 53.2939 44.8789 58.9043c67.5186 12.0205 135.839 21.2363 172.503 26.8467z M440.576 496.582c110.194 -6.6123 214.176 -29.251 309.143 -83.3467c15.627 -8.81543 32.0557 -30.2539 33.6582 -47.084c2.60547 -30.0527 -31.8555 -40.2705 -67.5186 -21.2363c-123.217 65.5146 -253.646 80.1406 -389.685 57.0996 c-15.2266 -2.60547 -31.2549 -11.8213 -45.0791 -9.0166c-17.6309 3.80664 -33.459 16.6289 -50.0879 25.4453c10.418 15.8281 18.2324 42.4756 31.8564 45.8818c58.1016 14.4248 118.208 22.0391 177.712 32.2568zM420.141 343.513 c115.002 -1.80273 199.954 -19.4336 277.891 -63.5117c20.2363 -11.4199 44.0771 -26.6465 24.4434 -51.2891c-7.81445 -9.81738 -39.6709 -11.0195 -53.6953 -3.40625c-100.577 53.6943 -207.164 60.3066 -316.957 46.4824 c-18.2324 -2.2041 -36.4648 -10.418 -53.8955 -8.61523c-16.6289 1.80273 -32.2568 13.0225 -48.2852 20.0342c11.0186 13.4238 20.2354 36.0625 33.6582 38.8672c53.2939 11.8213 107.99 17.2305 136.841 21.4385zM1024 447.896 c0 -141.248 -50.0889 -262.062 -150.064 -362.036s-220.588 -150.063 -362.036 -150.063c-141.248 0 -262.061 50.0879 -362.035 150.063s-150.063 220.588 -150.063 362.036c0 141.248 50.0879 262.062 150.063 362.036c100.176 99.9756 220.788 150.063 362.036 150.063 s262.062 -50.0879 362.036 -150.063c99.9756 -99.9756 150.063 -220.788 150.063 -362.036zM959.891 447.896c0 124.018 -43.6748 229.603 -131.027 316.955c-87.1533 87.3545 -192.939 131.03 -316.957 131.03c-123.818 0 -229.604 -43.6768 -316.957 -131.029 s-131.029 -192.938 -131.029 -316.956s43.6768 -230.004 131.029 -317.959c87.3535 -87.9551 192.938 -132.032 316.956 -132.032s229.604 44.0771 316.956 132.032c87.3535 87.9551 131.029 193.941 131.029 317.959z"/></g>
    </Icon>
);

export default SlSocialSpotify;
